import { TagCacheInterface } from '../Cache/CacheInterface';
import { DynamoDbInterface } from '../DynamoDb/DynamoDbInterface';
import { LoggerInterface } from '../Logger';
export declare abstract class AbstractService {
    constructor({ cache, dynamodb }: AbstractServiceParameters);
    logger: LoggerInterface;
    cache: TagCacheInterface;
    dynamodb: DynamoDbInterface;
}
export interface AbstractServiceParameters {
    cache: TagCacheInterface;
    dynamodb: DynamoDbInterface;
}
